Library Version 18.1.40

DbEnv::strerror()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::strerror()

    #include <db_cxx.h>

    static char *
    DbEnv::strerror(int error);

The `DbEnv::strerror()` method returns an error message string corresponding to the error number error parameter.

This function is a superset of the ANSI C X3.159-1989 (ANSI C) strerror(3) function. If the error number error is greater than or equal to 0, then the string returned by the system function strerror(3) is returned. If the error number is less than 0, an error string appropriate to the corresponding Berkeley DB library error is returned. See Error returns to applications for more information.

### Parameters

#### error

The error parameter is the error number for which an error message string is wanted.

### Class

DbEnv

### See Also

Database Environments and Related Methods

Prev | Up | Next
DbEnv::stat_print() | Home | DbEnv::version()